Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl
Class InstrDecl

    java.lang.Object
      avrora.core.isdl.CodeRegion
          avrora.core.isdl.InstrDecl

public class InstrDecl
extends CodeRegion

The `InstrDecl` class represents the declaration of an instruction in an instruction set description language file. It include a description of the encoding format of the instruction as well as a block of IR code that describe how to execute the instruction.

Nested Class Summary

Nested classes inherited from class avrora.core.isdl.CodeRegion
`CodeRegion.Operand`

Field Summary
`java.lang.String` | `className`
`int` | `cycles`
`java.util.List` | `encodingList`
`java.lang.String` | `innerClassName`
`Token` | `name` The `name` field stores a string representing the name of the instruction.
`boolean` | `pseudo`
`Token` | `syntax` The `syntax` field stores a token corresponding to the syntax of the instruction.

Fields inherited from class avrora.core.isdl.CodeRegion
`operands, stmts`

Constructor Summary
`InstrDecl(boolean ps, Token n, java.util.List o, Token sy, Token c, java.util.List s, java.util.List el)` The constructor of the `InstrDecl` class initializes the fields based on the parameters.

Method Summary
`java.lang.String` | `getClassName()`
`int` | `getEncodingSize()`
`java.lang.String` | `getInnerClassName()`
`void` | `setEncodingSize(int bits)`

Methods inherited from class avrora.core.isdl.CodeRegion
`getCode, getOperandIterator, getOperands, hasBody, numOperands, setCode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final Token name

  The `name` field stores a string representing the name of the instruction.

### syntax

    public final Token syntax

  The `syntax` field stores a token corresponding to the syntax of the instruction. If null, the syntax is the default (instruction_name operand1, operand2, etc). If non-null, this field stores a format string that is used to render the instruction as a source level instruction.

### encodingList

    public java.util.List encodingList

### className

    public final java.lang.String className

### innerClassName

    public final java.lang.String innerClassName

### cycles

    public final int cycles

### pseudo

    public final boolean pseudo

Constructor Detail

### InstrDecl

    public InstrDecl(boolean ps,
                     Token n,
                     java.util.List o,
                     Token sy,
                     Token c,
                     java.util.List s,
                     java.util.List el)

  The constructor of the `InstrDecl` class initializes the fields based on the parameters.

Parameters:
  `n` - the name of the instruction as a string

Method Detail

### getEncodingSize

    public int getEncodingSize()

### getClassName

    public java.lang.String getClassName()

### getInnerClassName

    public java.lang.String getInnerClassName()

### setEncodingSize

    public void setEncodingSize(int bits)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD